Page MenuHomePhabricator

Add a link: production deployment
Open, MediumPublic

Description

We are deploying the backend part of Add Link in production as the process of collecting tasks takes a while, and also to enable manual testing. Deployment of changes visible by default will be done later. You can use ge.utils.setUserVariant('linkrecommendation') in the browser console to enable link recommendations and ge.utils.setUserVariant('control') to disable them.

  • arwiki
  • bnwiki
  • cswiki
  • viwiki

Related Objects

Event Timeline

Change 675567 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):
[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on group 0

https://gerrit.wikimedia.org/r/675567

Change 675568 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):
[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on group 1

https://gerrit.wikimedia.org/r/675568

Change 675569 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):
[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on group 2

https://gerrit.wikimedia.org/r/675569

Tgr renamed this task from Add a link: production deploymet to Add a link: production deployment.Mar 29 2021, 5:50 PM

I think we'll have to do T278123: Provide capability for A/B testing task types first, as we'll need to enable $wgGENewcomerTasksLinkRecommendationsEnabled and create the link recommendation task type so that the task pool refresh script works, but currently that will cause the new task type to appear to users. We'll have to suppress the task type on the client side when $wgGELinkRecommendationsFrontendEnabled is false, but the way that needs to be implemented is similar enough to T278123 that we should probably just do them together.

Or maybe not. But in any case, there will be shared infrastructure as both will require filtering task types close to the rendering logic, without affecting things like the refresh script.

kostajh changed the task status from Open to Stalled.EditedApr 6 2021, 7:42 AM
kostajh moved this task from April 5 - April 9 to April 12 - April 16 on the Add-Link board.
kostajh added a subscriber: kostajh.

It sounds like this should be marked stalled and pushed back another week, until a few other tasks are sorted (T278123: Provide capability for A/B testing task types, T279128: Add a link engineering: exclude disambiguation pages, T279130: Add a link engineering: exclude good and featured articles). Sounds OK @Tgr?

Yeah, we can deal with exclusion in a different way if we are worried about timing (it's not too hard to add some functionality to the refresh job to "reevaluate" existing tasks and discard them if needed) but the A/B task, or some simplified version of it, definitely needs to be done first.

kostajh raised the priority of this task from Low to Medium.Fri, Apr 30, 10:49 AM

Change 684327 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on cswiki

https://gerrit.wikimedia.org/r/684327

Change 684331 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations frontend on cswiki

https://gerrit.wikimedia.org/r/684331

Tgr changed the task status from Stalled to Open.Mon, May 3, 10:51 AM

Skipped last Thursday because the train had problems, doing it today.

Steps:

  • add link recommendations to task type configuration (edit)
    • test (should have no visible effect)
  • run mwscript extensions/WikimediaMaintenance/createExtensionTables.php --wiki=cswiki GrowthExperiments (probably not needed as the tables were already created due to the mentor migration, but no harm in it)
  • make sure gerrit 684080 is backported
  • enable backend gerrit 684327
    • test; should be a no-op for users but allow running the refresh script
  • enable frontend gerrit 684331
    • test; should allow opt-in but otherwise still be a no-op

Change 684327 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on cswiki

https://gerrit.wikimedia.org/r/684327

Mentioned in SAL (#wikimedia-operations) [2021-05-03T12:07:40Z] <kharlan@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:684327|GrowthExperiments: enable link recommendations backend on cswiki (T278710)]] (duration: 00m 57s)

Change 684331 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations frontend on cswiki

https://gerrit.wikimedia.org/r/684331

Mentioned in SAL (#wikimedia-operations) [2021-05-03T12:33:21Z] <kharlan@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:684378|GrowthExperiments: Set default variant (T278123)]] [[gerrit:684331|GrowthExperiments: enable link recommendations frontend on cswiki (T278710)]] (duration: 00m 57s)

This is now done for cswiki; you can use ge.utils.setUserVariant('linkrecommendation') to enable link recommendations and ge.utils.setUserVariant(null) to disable it. Tasks should start showing up within an hour.

The other three target wikis will follow tomorrow if nothing goes wrong.

Tgr updated the task description. (Show Details)

Change 684825 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[operations/mediawiki-config@master] GrowthExperiments: Enable link recommendations for target wikis

https://gerrit.wikimedia.org/r/684825

Change 684825 merged by jenkins-bot:

[operations/mediawiki-config@master] GrowthExperiments: Enable link recommendations for target wikis

https://gerrit.wikimedia.org/r/684825

Mentioned in SAL (#wikimedia-operations) [2021-05-04T11:27:00Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 87dff0b1abe588f0ddc62985fdb40b5ec0fa1bbd: GrowthExperiments: Enable link recommendations for target wikis (T278710) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-05-04T11:31:40Z] <Urbanecm> Run User::newSystemUser( 'Maintenance script', [ 'steal' => true ] ); on arwiki, bnwiki, viwiki (T278710, T281703)

Change 684869 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/GrowthExperiments@master] Set linkrecommendation enable percentage to 0

https://gerrit.wikimedia.org/r/684869

Change 684869 abandoned by Kosta Harlan:

[mediawiki/extensions/GrowthExperiments@master] Set linkrecommendation enable percentage to 0

Reason:

Martin fixed mediawiki-config in Id367f4ceeee9af45f7566b590f44f650eb3439fe

https://gerrit.wikimedia.org/r/684869

kostajh added a subscriber: Urbanecm_WMF.

This was trickier than anticipated, maybe because of T281727: Rename GrowthExperiments default user variant to 'control'. tl;dr we needed mediawiki-config to explicitly set linkrecommendation => 0 in the GEHomepageNewAccountVariants config; this was set to 100 in extension.json. There's debugging discussion from myself and @Urbanecm_WMF (thank you for all your help!) in https://wm-bot.wmflabs.org/logs/%23wikimedia-operations/20210504.txt starting around 11:03.

Change 675567 abandoned by Gergő Tisza:

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on group 0

Reason:

not needed anytime soon, by the time it's needed there will probably be no point in splitting by group

https://gerrit.wikimedia.org/r/675567

Change 675568 abandoned by Gergő Tisza:

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on group 1

Reason:

not needed anytime soon, by the time it's needed there will probably be no point in splitting by group

https://gerrit.wikimedia.org/r/675568

Change 675569 abandoned by Gergő Tisza:

[operations/mediawiki-config@master] GrowthExperiments: enable link recommendations backend on group 2

Reason:

not needed anytime soon, by the time it's needed there will probably be no point in splitting by group

https://gerrit.wikimedia.org/r/675569